#include "graph.h"

UBYTE UNDOBUFFER[15];

UBYTE y_dpiSIBuff[15] =
	"300";
struct StringInfo y_dpiSInfo = {
	y_dpiSIBuff,	/* buffer where text will be edited */
	UNDOBUFFER,	/* optional undo buffer */
	0,	/* character position in buffer */
	15,	/* maximum number of characters to allow */
	0,	/* first displayed character buffer position */
	0,0,0,0,0,	/* Intuition initialized and maintained variables */
	0,	/* Rastport of gadget */
	0,	/* initial value for integer gadgets */
	NULL	/* alternate keymap (fill in if you set the flag) */
};

SHORT BorderVectors1[] = {
	0,0,
	41,0,
	41,9,
	0,9,
	0,0
};
struct Border Border1 = {
	-1,-1,	/* XY origin relative to container TopLeft */
	3,0,JAM1,	/* front pen, back pen and drawmode */
	5,	/* number of XY vectors */
	BorderVectors1,	/* pointer to XY vectors */
	NULL	/* next border in list */
};

struct TextAttr TOPAZ80 = {
	(STRPTR)"topaz.font",
	TOPAZ_EIGHTY,0,0
};
struct IntuiText IText1 = {
	1,0,JAM2,	/* front and back text pens, drawmode and fill byte */
	-18,0,	/* XY origin relative to container TopLeft */
	&TOPAZ80,	/* font pointer or NULL for default */
	(UBYTE *)"Y:",	/* pointer to text */
	NULL	/* next IntuiText structure */
};

struct Gadget y_dpi = {
	NULL,	/* next gadget */
	293,171,	/* origin XY of hit box relative to window TopLeft */
	40,8,	/* hit box width and height */
	GADGHBOX+GADGHIMAGE,	/* gadget flags */
	STRINGRIGHT+LONGINT,	/* activation flags */
	STRGADGET,	/* gadget type flags */
	(APTR)&Border1,	/* gadget border or image to be rendered */
	NULL,	/* alternate imagery for selection */
	&IText1,	/* first IntuiText structure */
	0,	/* gadget mutual-exclude long word */
	(APTR)&y_dpiSInfo,	/* SpecialInfo structure */
	NULL,	/* user-definable data */
	NULL	/* pointer to user-definable data */
};

USHORT ImageData1[] = {
	0xFFFF,0xFFFF,0x8000,0xFFFF,0x8000,0xFFFF,0x8000,0xFFFF,
	0x8000,0xFFFF,0x8000,0xFFFF,0x8000,0xFFFF,0x8000,0xFFFF,
	0x8000,0xFFFF,0x8000,0xFFFF,0x8000,0xFFFF,0x8000,0xFFFF,
	0x8000,0xFFFF,0x8000,0xFFFF,0x8000,0xFFFF,0x8000,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0x8000,0x8000,0x8000,0x8000,0x8000,
	0x8000,0x8000,0x8000,0x8000,0x8000,0x8000,0x8000,0x8000,
	0x8000,0x8000,0x8000,0x8000,0x8000,0x8000,0x8000,0x8000,
	0x8000,0x8000,0x8000,0x8000,0x8000,0x8000,0x8000,0x8000,
	0x8000,0x8000,0xFFFF,0x8000
};

struct Image Image1 = {
	0,0,	/* XY origin relative to container TopLeft */
	17,17,	/* Image width and height in pixels */
	2,	/* number of bitplanes in Image */
	ImageData1,	/* pointer to ImageData */
	0x0003,0x0000,	/* PlanePick and PlaneOnOff */
	NULL	/* next Image structure */
};

USHORT ImageData2[] = {
	0xFFFF,0xFFFF,0x8000,0xFFFF,0x8000,0xFFFF,0x8000,0xFFFF,
	0x8000,0xFFFF,0x8000,0xFFFF,0x8000,0xFFFF,0x8000,0xFFFF,
	0x8000,0xFFFF,0x8000,0xFFFF,0x8000,0xFFFF,0x8000,0xFFFF,
	0x8000,0xFFFF,0x8000,0xFFFF,0x8000,0xFFFF,0x8000,0xFFFF,
	0xFFFF,0xFFFF
};

struct Image Image2 = {
	0,0,	/* XY origin relative to container TopLeft */
	17,17,	/* Image width and height in pixels */
	2,	/* number of bitplanes in Image */
	ImageData2,	/* pointer to ImageData */
	0x0001,0x0000,	/* PlanePick and PlaneOnOff */
	NULL	/* next Image structure */
};

struct Gadget None = {
	&y_dpi,	/* next gadget */
	367,29,	/* origin XY of hit box relative to window TopLeft */
	17,17,	/* hit box width and height */
	GADGHIMAGE+GADGIMAGE,	/* gadget flags */
	RELVERIFY+TOGGLESELECT,	/* activation flags */
	BOOLGADGET,	/* gadget type flags */
	(APTR)&Image1,	/* gadget border or image to be rendered */
	(APTR)&Image2,	/* alternate imagery for selection */
	NULL,	/* first IntuiText structure */
	0,	/* gadget mutual-exclude long word */
	NULL,	/* SpecialInfo structure */
	NULL,	/* user-definable data */
	NULL	/* pointer to user-definable data */
};

USHORT ImageData3[] = {
	0x7FFF,0xFFFF,0xFFFF,0xFFFF,0x4000,0x0000,0x0000,0x3FFF,
	0x4000,0x0000,0x0000,0x3FFF,0x4000,0x0000,0x0000,0x3FFF,
	0x4000,0x0000,0x0000,0x3FFF,0x4000,0x0000,0x0000,0x3FFF,
	0x4000,0x0000,0x0000,0x3FFF,0x4079,0x99F8,0x7B18,0x3FFF,
	0x40C1,0x9980,0xC330,0x3FFF,0x4181,0x9981,0x8360,0x3FFF,
	0x4181,0xF9E1,0x83C0,0x3FFF,0x4181,0x9981,0x8360,0x3FFF,
	0x40C1,0x9980,0xC330,0x3FFF,0x4079,0x99F8,0x7B18,0x3FFF,
	0x4000,0x0000,0x0000,0x3FFF,0x4000,0x0000,0x0000,0x3FFF,
	0x4000,0x0000,0x0000,0x3FFF,0x4000,0x0000,0x0000,0x3FFF,
	0x4000,0x0000,0x0000,0x3FFF,0x4000,0x0000,0x0000,0x3FFF,
	0x7FFF,0xFFFF,0xFFFF,0xFFFF
};

struct Image Image3 = {
	0,0,	/* XY origin relative to container TopLeft */
	51,21,	/* Image width and height in pixels */
	2,	/* number of bitplanes in Image */
	ImageData3,	/* pointer to ImageData */
	0x0001,0x0000,	/* PlanePick and PlaneOnOff */
	NULL	/* next Image structure */
};

struct Gadget check = {
	&None,	/* next gadget */
	287,109,	/* origin XY of hit box relative to window TopLeft */
	51,21,	/* hit box width and height */
	GADGIMAGE,	/* gadget flags */
	RELVERIFY,	/* activation flags */
	BOOLGADGET,	/* gadget type flags */
	(APTR)&Image3,	/* gadget border or image to be rendered */
	NULL,	/* alternate imagery for selection */
	NULL,	/* first IntuiText structure */
	0,	/* gadget mutual-exclude long word */
	NULL,	/* SpecialInfo structure */
	NULL,	/* user-definable data */
	NULL	/* pointer to user-definable data */
};

UBYTE minor_xSIBuff[15] =
	"10";
struct StringInfo minor_xSInfo = {
	minor_xSIBuff,	/* buffer where text will be edited */
	UNDOBUFFER,	/* optional undo buffer */
	0,	/* character position in buffer */
	15,	/* maximum number of characters to allow */
	0,	/* first displayed character buffer position */
	0,0,0,0,0,	/* Intuition initialized and maintained variables */
	0,	/* Rastport of gadget */
	0,	/* initial value for integer gadgets */
	NULL	/* alternate keymap (fill in if you set the flag) */
};

SHORT BorderVectors2[] = {
	0,0,
	41,0,
	41,9,
	0,9,
	0,0
};
struct Border Border2 = {
	-1,-1,	/* XY origin relative to container TopLeft */
	3,0,JAM1,	/* front pen, back pen and drawmode */
	5,	/* number of XY vectors */
	BorderVectors2,	/* pointer to XY vectors */
	NULL	/* next border in list */
};

struct IntuiText IText2 = {
	1,0,JAM2,	/* front and back text pens, drawmode and fill byte */
	14,-10,	/* XY origin relative to container TopLeft */
	&TOPAZ80,	/* font pointer or NULL for default */
	(UBYTE *)"X",	/* pointer to text */
	NULL	/* next IntuiText structure */
};

struct Gadget minor_x = {
	&check,	/* next gadget */
	394,73,	/* origin XY of hit box relative to window TopLeft */
	40,8,	/* hit box width and height */
	GADGHBOX+GADGHIMAGE,	/* gadget flags */
	RELVERIFY+STRINGRIGHT+LONGINT,	/* activation flags */
	STRGADGET,	/* gadget type flags */
	(APTR)&Border2,	/* gadget border or image to be rendered */
	NULL,	/* alternate imagery for selection */
	&IText2,	/* first IntuiText structure */
	0,	/* gadget mutual-exclude long word */
	(APTR)&minor_xSInfo,	/* SpecialInfo structure */
	NULL,	/* user-definable data */
	NULL	/* pointer to user-definable data */
};

UBYTE minor_ySIBuff[15] =
	"10";
struct StringInfo minor_ySInfo = {
	minor_ySIBuff,	/* buffer where text will be edited */
	UNDOBUFFER,	/* optional undo buffer */
	0,	/* character position in buffer */
	15,	/* maximum number of characters to allow */
	0,	/* first displayed character buffer position */
	0,0,0,0,0,	/* Intuition initialized and maintained variables */
	0,	/* Rastport of gadget */
	0,	/* initial value for integer gadgets */
	NULL	/* alternate keymap (fill in if you set the flag) */
};

SHORT BorderVectors3[] = {
	0,0,
	41,0,
	41,9,
	0,9,
	0,0
};
struct Border Border3 = {
	-1,-1,	/* XY origin relative to container TopLeft */
	3,0,JAM1,	/* front pen, back pen and drawmode */
	5,	/* number of XY vectors */
	BorderVectors3,	/* pointer to XY vectors */
	NULL	/* next border in list */
};

struct IntuiText IText3 = {
	1,0,JAM2,	/* front and back text pens, drawmode and fill byte */
	14,-11,	/* XY origin relative to container TopLeft */
	&TOPAZ80,	/* font pointer or NULL for default */
	(UBYTE *)"Y",	/* pointer to text */
	NULL	/* next IntuiText structure */
};

struct Gadget minor_y = {
	&minor_x,	/* next gadget */
	438,73,	/* origin XY of hit box relative to window TopLeft */
	40,8,	/* hit box width and height */
	GADGHBOX+GADGHIMAGE,	/* gadget flags */
	RELVERIFY+STRINGRIGHT+LONGINT,	/* activation flags */
	STRGADGET,	/* gadget type flags */
	(APTR)&Border3,	/* gadget border or image to be rendered */
	NULL,	/* alternate imagery for selection */
	&IText3,	/* first IntuiText structure */
	0,	/* gadget mutual-exclude long word */
	(APTR)&minor_ySInfo,	/* SpecialInfo structure */
	NULL,	/* user-definable data */
	NULL	/* pointer to user-definable data */
};

struct PropInfo minor_slider_rightSInfo = {
	FREEVERT,	/* PropInfo flags */
	0,-30132,	/* horizontal and vertical pot values */
	-1,1310,	/* horizontal and vertical body values */
};

USHORT ImageData4[] = {
	0x87FF,0xC7FF,0xE7FF,0xF7FF,0xFFFF,0xF7FF,0xE7FF,0xC7FF,
	0x87FF
};

struct Image Image4 = {
	0,47,	/* XY origin relative to container TopLeft */
	5,9,	/* Image width and height in pixels */
	2,	/* number of bitplanes in Image */
	ImageData4,	/* pointer to ImageData */
	0x0001,0x0000,	/* PlanePick and PlaneOnOff */
	NULL	/* next Image structure */
};

struct Gadget minor_slider_right = {
	&minor_y,	/* next gadget */
	443,85,	/* origin XY of hit box relative to window TopLeft */
	11,100,	/* hit box width and height */
	GADGIMAGE,	/* gadget flags */
	RELVERIFY+FOLLOWMOUSE,	/* activation flags */
	PROPGADGET,	/* gadget type flags */
	(APTR)&Image4,	/* gadget border or image to be rendered */
	NULL,	/* alternate imagery for selection */
	NULL,	/* first IntuiText structure */
	0,	/* gadget mutual-exclude long word */
	(APTR)&minor_slider_rightSInfo,	/* SpecialInfo structure */
	NULL,	/* user-definable data */
	NULL	/* pointer to user-definable data */
};

struct PropInfo minor_slider_middleSInfo = {
	FREEVERT,	/* PropInfo flags */
	0,19756,	/* horizontal and vertical pot values */
	-1,1310,	/* horizontal and vertical body values */
};

struct Image Image5 = {
	0,26,	/* XY origin relative to container TopLeft */
	9,9,	/* Image width and height in pixels */
	2,	/* number of bitplanes in Image */
	NULL,	/* pointer to ImageData */
	0x0000,0x0001,	/* PlanePick and PlaneOnOff */
	NULL	/* next Image structure */
};

struct Gadget minor_slider_middle = {
	&minor_slider_right,	/* next gadget */
	430,85,	/* origin XY of hit box relative to window TopLeft */
	15,100,	/* hit box width and height */
	GADGIMAGE,	/* gadget flags */
	RELVERIFY+FOLLOWMOUSE,	/* activation flags */
	PROPGADGET,	/* gadget type flags */
	(APTR)&Image5,	/* gadget border or image to be rendered */
	NULL,	/* alternate imagery for selection */
	NULL,	/* first IntuiText structure */
	0,	/* gadget mutual-exclude long word */
	(APTR)&minor_slider_middleSInfo,	/* SpecialInfo structure */
	NULL,	/* user-definable data */
	NULL	/* pointer to user-definable data */
};

struct PropInfo minor_slider_leftSInfo = {
	FREEVERT,	/* PropInfo flags */
	0,12635,	/* horizontal and vertical pot values */
	-1,1310,	/* horizontal and vertical body values */
};

USHORT ImageData6[] = {
	0x0FFF,0x1FFF,0x3FFF,0x7FFF,0xFFFF,0x7FFF,0x3FFF,0x1FFF,
	0x0FFF
};

struct Image Image6 = {
	0,16,	/* XY origin relative to container TopLeft */
	5,9,	/* Image width and height in pixels */
	2,	/* number of bitplanes in Image */
	ImageData6,	/* pointer to ImageData */
	0x0001,0x0000,	/* PlanePick and PlaneOnOff */
	NULL	/* next Image structure */
};

struct Gadget minor_slider_left = {
	&minor_slider_middle,	/* next gadget */
	421,85,	/* origin XY of hit box relative to window TopLeft */
	11,100,	/* hit box width and height */
	GADGIMAGE,	/* gadget flags */
	RELVERIFY+FOLLOWMOUSE,	/* activation flags */
	PROPGADGET,	/* gadget type flags */
	(APTR)&Image6,	/* gadget border or image to be rendered */
	NULL,	/* alternate imagery for selection */
	NULL,	/* first IntuiText structure */
	0,	/* gadget mutual-exclude long word */
	(APTR)&minor_slider_leftSInfo,	/* SpecialInfo structure */
	NULL,	/* user-definable data */
	NULL	/* pointer to user-definable data */
};

UBYTE x_grids_pageSIBuff[15] =
	"10";
struct StringInfo x_grids_pageSInfo = {
	x_grids_pageSIBuff,	/* buffer where text will be edited */
	UNDOBUFFER,	/* optional undo buffer */
	0,	/* character position in buffer */
	15,	/* maximum number of characters to allow */
	0,	/* first displayed character buffer position */
	0,0,0,0,0,	/* Intuition initialized and maintained variables */
	0,	/* Rastport of gadget */
	0,	/* initial value for integer gadgets */
	NULL	/* alternate keymap (fill in if you set the flag) */
};

SHORT BorderVectors4[] = {
	0,0,
	41,0,
	41,9,
	0,9,
	0,0
};
struct Border Border4 = {
	-1,-1,	/* XY origin relative to container TopLeft */
	3,0,JAM1,	/* front pen, back pen and drawmode */
	5,	/* number of XY vectors */
	BorderVectors4,	/* pointer to XY vectors */
	NULL	/* next border in list */
};

struct IntuiText IText4 = {
	1,0,JAM2,	/* front and back text pens, drawmode and fill byte */
	14,-10,	/* XY origin relative to container TopLeft */
	&TOPAZ80,	/* font pointer or NULL for default */
	(UBYTE *)"X",	/* pointer to text */
	NULL	/* next IntuiText structure */
};

struct Gadget x_grids_page = {
	&minor_slider_left,	/* next gadget */
	163,73,	/* origin XY of hit box relative to window TopLeft */
	40,8,	/* hit box width and height */
	GADGHBOX+GADGHIMAGE,	/* gadget flags */
	RELVERIFY+STRINGRIGHT+LONGINT,	/* activation flags */
	STRGADGET,	/* gadget type flags */
	(APTR)&Border4,	/* gadget border or image to be rendered */
	NULL,	/* alternate imagery for selection */
	&IText4,	/* first IntuiText structure */
	0,	/* gadget mutual-exclude long word */
	(APTR)&x_grids_pageSInfo,	/* SpecialInfo structure */
	NULL,	/* user-definable data */
	NULL	/* pointer to user-definable data */
};

UBYTE y_grids_pageSIBuff[15] =
	"6";
struct StringInfo y_grids_pageSInfo = {
	y_grids_pageSIBuff,	/* buffer where text will be edited */
	UNDOBUFFER,	/* optional undo buffer */
	0,	/* character position in buffer */
	15,	/* maximum number of characters to allow */
	0,	/* first displayed character buffer position */
	0,0,0,0,0,	/* Intuition initialized and maintained variables */
	0,	/* Rastport of gadget */
	0,	/* initial value for integer gadgets */
	NULL	/* alternate keymap (fill in if you set the flag) */
};

SHORT BorderVectors5[] = {
	0,0,
	41,0,
	41,9,
	0,9,
	0,0
};
struct Border Border5 = {
	-1,-1,	/* XY origin relative to container TopLeft */
	3,0,JAM1,	/* front pen, back pen and drawmode */
	5,	/* number of XY vectors */
	BorderVectors5,	/* pointer to XY vectors */
	NULL	/* next border in list */
};

struct IntuiText IText5 = {
	1,0,JAM2,	/* front and back text pens, drawmode and fill byte */
	14,-11,	/* XY origin relative to container TopLeft */
	&TOPAZ80,	/* font pointer or NULL for default */
	(UBYTE *)"Y",	/* pointer to text */
	NULL	/* next IntuiText structure */
};

struct Gadget y_grids_page = {
	&x_grids_page,	/* next gadget */
	207,73,	/* origin XY of hit box relative to window TopLeft */
	40,8,	/* hit box width and height */
	GADGHBOX+GADGHIMAGE,	/* gadget flags */
	RELVERIFY+STRINGRIGHT+LONGINT,	/* activation flags */
	STRGADGET,	/* gadget type flags */
	(APTR)&Border5,	/* gadget border or image to be rendered */
	NULL,	/* alternate imagery for selection */
	&IText5,	/* first IntuiText structure */
	0,	/* gadget mutual-exclude long word */
	(APTR)&y_grids_pageSInfo,	/* SpecialInfo structure */
	NULL,	/* user-definable data */
	NULL	/* pointer to user-definable data */
};

struct PropInfo grids_slider_leftSInfo = {
	FREEVERT,	/* PropInfo flags */
	0,27886,	/* horizontal and vertical pot values */
	-1,1310,	/* horizontal and vertical body values */
};

USHORT ImageData7[] = {
	0x0FFF,0x1FFF,0x3FFF,0x7FFF,0xFFFF,0x7FFF,0x3FFF,0x1FFF,
	0x0FFF
};

struct Image Image7 = {
	0,37,	/* XY origin relative to container TopLeft */
	5,9,	/* Image width and height in pixels */
	2,	/* number of bitplanes in Image */
	ImageData7,	/* pointer to ImageData */
	0x0001,0x0000,	/* PlanePick and PlaneOnOff */
	NULL	/* next Image structure */
};

struct Gadget grids_slider_left = {
	&y_grids_page,	/* next gadget */
	188,85,	/* origin XY of hit box relative to window TopLeft */
	11,100,	/* hit box width and height */
	GADGIMAGE,	/* gadget flags */
	RELVERIFY+FOLLOWMOUSE,	/* activation flags */
	PROPGADGET,	/* gadget type flags */
	(APTR)&Image7,	/* gadget border or image to be rendered */
	NULL,	/* alternate imagery for selection */
	NULL,	/* first IntuiText structure */
	0,	/* gadget mutual-exclude long word */
	(APTR)&grids_slider_leftSInfo,	/* SpecialInfo structure */
	NULL,	/* user-definable data */
	NULL	/* pointer to user-definable data */
};

struct PropInfo grids_slider_middleSInfo = {
	FREEVERT,	/* PropInfo flags */
	0,25242,	/* horizontal and vertical pot values */
	-1,1310,	/* horizontal and vertical body values */
};

struct Image Image8 = {
	0,33,	/* XY origin relative to container TopLeft */
	9,9,	/* Image width and height in pixels */
	2,	/* number of bitplanes in Image */
	NULL,	/* pointer to ImageData */
	0x0000,0x0001,	/* PlanePick and PlaneOnOff */
	NULL	/* next Image structure */
};

struct Gadget grids_slider_middle = {
	&grids_slider_left,	/* next gadget */
	197,85,	/* origin XY of hit box relative to window TopLeft */
	15,100,	/* hit box width and height */
	GADGIMAGE,	/* gadget flags */
	RELVERIFY+FOLLOWMOUSE,	/* activation flags */
	PROPGADGET,	/* gadget type flags */
	(APTR)&Image8,	/* gadget border or image to be rendered */
	NULL,	/* alternate imagery for selection */
	NULL,	/* first IntuiText structure */
	0,	/* gadget mutual-exclude long word */
	(APTR)&grids_slider_middleSInfo,	/* SpecialInfo structure */
	NULL,	/* user-definable data */
	NULL	/* pointer to user-definable data */
};

struct PropInfo grids_slider_rightSInfo = {
	FREEVERT,	/* PropInfo flags */
	0,20338,	/* horizontal and vertical pot values */
	-1,1310,	/* horizontal and vertical body values */
};

USHORT ImageData9[] = {
	0x87FF,0xC7FF,0xE7FF,0xF7FF,0xFFFF,0xF7FF,0xE7FF,0xC7FF,
	0x87FF
};

struct Image Image9 = {
	0,27,	/* XY origin relative to container TopLeft */
	5,9,	/* Image width and height in pixels */
	2,	/* number of bitplanes in Image */
	ImageData9,	/* pointer to ImageData */
	0x0001,0x0000,	/* PlanePick and PlaneOnOff */
	NULL	/* next Image structure */
};

struct Gadget grids_slider_right = {
	&grids_slider_middle,	/* next gadget */
	210,85,	/* origin XY of hit box relative to window TopLeft */
	11,100,	/* hit box width and height */
	GADGIMAGE,	/* gadget flags */
	RELVERIFY+FOLLOWMOUSE,	/* activation flags */
	PROPGADGET,	/* gadget type flags */
	(APTR)&Image9,	/* gadget border or image to be rendered */
	NULL,	/* alternate imagery for selection */
	NULL,	/* first IntuiText structure */
	0,	/* gadget mutual-exclude long word */
	(APTR)&grids_slider_rightSInfo,	/* SpecialInfo structure */
	NULL,	/* user-definable data */
	NULL	/* pointer to user-definable data */
};

UBYTE x_sizeSIBuff[15] =
	"1.1";
struct StringInfo x_sizeSInfo = {
	x_sizeSIBuff,	/* buffer where text will be edited */
	UNDOBUFFER,	/* optional undo buffer */
	0,	/* character position in buffer */
	15,	/* maximum number of characters to allow */
	0,	/* first displayed character buffer position */
	0,0,0,0,0,	/* Intuition initialized and maintained variables */
	0,	/* Rastport of gadget */
	0,	/* initial value for integer gadgets */
	NULL	/* alternate keymap (fill in if you set the flag) */
};

SHORT BorderVectors6[] = {
	0,0,
	41,0,
	41,9,
	0,9,
	0,0
};
struct Border Border6 = {
	-1,-1,	/* XY origin relative to container TopLeft */
	3,0,JAM1,	/* front pen, back pen and drawmode */
	5,	/* number of XY vectors */
	BorderVectors6,	/* pointer to XY vectors */
	NULL	/* next border in list */
};

struct IntuiText IText6 = {
	1,0,JAM2,	/* front and back text pens, drawmode and fill byte */
	14,-10,	/* XY origin relative to container TopLeft */
	&TOPAZ80,	/* font pointer or NULL for default */
	(UBYTE *)"X",	/* pointer to text */
	NULL	/* next IntuiText structure */
};

struct Gadget x_size = {
	&grids_slider_right,	/* next gadget */
	37,73,	/* origin XY of hit box relative to window TopLeft */
	40,8,	/* hit box width and height */
	GADGHBOX+GADGHIMAGE,	/* gadget flags */
	RELVERIFY+STRINGRIGHT,	/* activation flags */
	STRGADGET,	/* gadget type flags */
	(APTR)&Border6,	/* gadget border or image to be rendered */
	NULL,	/* alternate imagery for selection */
	&IText6,	/* first IntuiText structure */
	0,	/* gadget mutual-exclude long word */
	(APTR)&x_sizeSInfo,	/* SpecialInfo structure */
	NULL,	/* user-definable data */
	NULL	/* pointer to user-definable data */
};

struct PropInfo size_slider_leftSInfo = {
	FREEVERT,	/* PropInfo flags */
	0,23177,	/* horizontal and vertical pot values */
	-1,372,	/* horizontal and vertical body values */
};

USHORT ImageData10[] = {
	0x0FFF,0x1FFF,0x3FFF,0x7FFF,0xFFFF,0x7FFF,0x3FFF,0x1FFF,
	0x0FFF
};

struct Image Image10 = {
	0,30,	/* XY origin relative to container TopLeft */
	5,9,	/* Image width and height in pixels */
	2,	/* number of bitplanes in Image */
	ImageData10,	/* pointer to ImageData */
	0x0001,0x0000,	/* PlanePick and PlaneOnOff */
	NULL	/* next Image structure */
};

struct Gadget size_slider_left = {
	&x_size,	/* next gadget */
	61,85,	/* origin XY of hit box relative to window TopLeft */
	11,100,	/* hit box width and height */
	GADGIMAGE,	/* gadget flags */
	RELVERIFY+GADGIMMEDIATE+FOLLOWMOUSE,	/* activation flags */
	PROPGADGET,	/* gadget type flags */
	(APTR)&Image10,	/* gadget border or image to be rendered */
	NULL,	/* alternate imagery for selection */
	NULL,	/* first IntuiText structure */
	0,	/* gadget mutual-exclude long word */
	(APTR)&size_slider_leftSInfo,	/* SpecialInfo structure */
	NULL,	/* user-definable data */
	NULL	/* pointer to user-definable data */
};

struct PropInfo size_slider_rightSInfo = {
	FREEVERT,	/* PropInfo flags */
	0,22827,	/* horizontal and vertical pot values */
	-1,372,	/* horizontal and vertical body values */
};

USHORT ImageData11[] = {
	0x87FF,0xC7FF,0xE7FF,0xF7FF,0xFFFF,0xF7FF,0xE7FF,0xC7FF,
	0x87FF
};

struct Image Image11 = {
	0,30,	/* XY origin relative to container TopLeft */
	5,9,	/* Image width and height in pixels */
	2,	/* number of bitplanes in Image */
	ImageData11,	/* pointer to ImageData */
	0x0001,0x0000,	/* PlanePick and PlaneOnOff */
	NULL	/* next Image structure */
};

struct Gadget size_slider_right = {
	&size_slider_left,	/* next gadget */
	83,85,	/* origin XY of hit box relative to window TopLeft */
	11,100,	/* hit box width and height */
	GADGIMAGE,	/* gadget flags */
	RELVERIFY+GADGIMMEDIATE+FOLLOWMOUSE,	/* activation flags */
	PROPGADGET,	/* gadget type flags */
	(APTR)&Image11,	/* gadget border or image to be rendered */
	NULL,	/* alternate imagery for selection */
	NULL,	/* first IntuiText structure */
	0,	/* gadget mutual-exclude long word */
	(APTR)&size_slider_rightSInfo,	/* SpecialInfo structure */
	NULL,	/* user-definable data */
	NULL	/* pointer to user-definable data */
};

struct PropInfo size_slider_middleSInfo = {
	FREEVERT,	/* PropInfo flags */
	0,19211,	/* horizontal and vertical pot values */
	-1,372,	/* horizontal and vertical body values */
};

struct Image Image12 = {
	0,25,	/* XY origin relative to container TopLeft */
	9,9,	/* Image width and height in pixels */
	2,	/* number of bitplanes in Image */
	NULL,	/* pointer to ImageData */
	0x0000,0x0001,	/* PlanePick and PlaneOnOff */
	NULL	/* next Image structure */
};

struct Gadget size_slider_middle = {
	&size_slider_right,	/* next gadget */
	70,85,	/* origin XY of hit box relative to window TopLeft */
	15,100,	/* hit box width and height */
	GADGIMAGE,	/* gadget flags */
	RELVERIFY+GADGIMMEDIATE+FOLLOWMOUSE,	/* activation flags */
	PROPGADGET,	/* gadget type flags */
	(APTR)&Image12,	/* gadget border or image to be rendered */
	NULL,	/* alternate imagery for selection */
	NULL,	/* first IntuiText structure */
	0,	/* gadget mutual-exclude long word */
	(APTR)&size_slider_middleSInfo,	/* SpecialInfo structure */
	NULL,	/* user-definable data */
	NULL	/* pointer to user-definable data */
};

USHORT ImageData13[] = {
	0xFFFF,0xFFFF,0x808A,0xFFFF,0xFFFF,0xFFFF,0x808A,0xFFFF,
	0xFFFF,0xFFFF,0x808A,0xFFFF,0x808A,0xFFFF,0x808A,0xFFFF,
	0xFFFF,0xFFFF,0x808A,0xFFFF,0x808A,0xFFFF,0x808A,0xFFFF,
	0x808A,0xFFFF,0x808A,0xFFFF,0x808A,0xFFFF,0x808A,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0x8000,0x808A,0x8000,0xFFFF,0x8000,
	0x808A,0x8000,0xFFFF,0x8000,0x808A,0x8000,0x808A,0x8000,
	0x808A,0x8000,0xFFFF,0x8000,0x808A,0x8000,0x808A,0x8000,
	0x808A,0x8000,0x808A,0x8000,0x808A,0x8000,0x808A,0x8000,
	0x808A,0x8000,0xFFFF,0x8000
};

struct Image Image13 = {
	0,0,	/* XY origin relative to container TopLeft */
	17,17,	/* Image width and height in pixels */
	2,	/* number of bitplanes in Image */
	ImageData13,	/* pointer to ImageData */
	0x0003,0x0000,	/* PlanePick and PlaneOnOff */
	NULL	/* next Image structure */
};

USHORT ImageData14[] = {
	0xFFFF,0xFFFF,0x808A,0xFFFF,0xFFFF,0xFFFF,0x808A,0xFFFF,
	0xFFFF,0xFFFF,0x808A,0xFFFF,0x808A,0xFFFF,0x808A,0xFFFF,
	0xFFFF,0xFFFF,0x808A,0xFFFF,0x808A,0xFFFF,0x808A,0xFFFF,
	0x808A,0xFFFF,0x808A,0xFFFF,0x808A,0xFFFF,0x808A,0xFFFF,
	0xFFFF,0xFFFF
};

struct Image Image14 = {
	0,0,	/* XY origin relative to container TopLeft */
	17,17,	/* Image width and height in pixels */
	2,	/* number of bitplanes in Image */
	ImageData14,	/* pointer to ImageData */
	0x0001,0x0000,	/* PlanePick and PlaneOnOff */
	NULL	/* next Image structure */
};

struct Gadget LogLog = {
	&size_slider_middle,	/* next gadget */
	487,29,	/* origin XY of hit box relative to window TopLeft */
	17,17,	/* hit box width and height */
	GADGHIMAGE+GADGIMAGE,	/* gadget flags */
	RELVERIFY+TOGGLESELECT,	/* activation flags */
	BOOLGADGET,	/* gadget type flags */
	(APTR)&Image13,	/* gadget border or image to be rendered */
	(APTR)&Image14,	/* alternate imagery for selection */
	NULL,	/* first IntuiText structure */
	0,	/* gadget mutual-exclude long word */
	NULL,	/* SpecialInfo structure */
	NULL,	/* user-definable data */
	NULL	/* pointer to user-definable data */
};

USHORT ImageData15[] = {
	0xFFFF,0xFFFF,0x8888,0xFFFF,0xFFFF,0xFFFF,0x8888,0xFFFF,
	0xFFFF,0xFFFF,0x8888,0xFFFF,0x8888,0xFFFF,0x8888,0xFFFF,
	0xFFFF,0xFFFF,0x8888,0xFFFF,0x8888,0xFFFF,0x8888,0xFFFF,
	0x8888,0xFFFF,0x8888,0xFFFF,0x8888,0xFFFF,0x8888,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0x8000,0x8888,0x8000,0xFFFF,0x8000,
	0x8888,0x8000,0xFFFF,0x8000,0x8888,0x8000,0x8888,0x8000,
	0x8888,0x8000,0xFFFF,0x8000,0x8888,0x8000,0x8888,0x8000,
	0x8888,0x8000,0x8888,0x8000,0x8888,0x8000,0x8888,0x8000,
	0x8888,0x8000,0xFFFF,0x8000
};

struct Image Image15 = {
	0,0,	/* XY origin relative to container TopLeft */
	17,17,	/* Image width and height in pixels */
	2,	/* number of bitplanes in Image */
	ImageData15,	/* pointer to ImageData */
	0x0003,0x0000,	/* PlanePick and PlaneOnOff */
	NULL	/* next Image structure */
};

USHORT ImageData16[] = {
	0xFFFF,0xFFFF,0x8888,0xFFFF,0xFFFF,0xFFFF,0x8888,0xFFFF,
	0xFFFF,0xFFFF,0x8888,0xFFFF,0x8888,0xFFFF,0x8888,0xFFFF,
	0xFFFF,0xFFFF,0x8888,0xFFFF,0x8888,0xFFFF,0x8888,0xFFFF,
	0x8888,0xFFFF,0x8888,0xFFFF,0x8888,0xFFFF,0x8888,0xFFFF,
	0xFFFF,0xFFFF
};

struct Image Image16 = {
	0,0,	/* XY origin relative to container TopLeft */
	17,17,	/* Image width and height in pixels */
	2,	/* number of bitplanes in Image */
	ImageData16,	/* pointer to ImageData */
	0x0001,0x0000,	/* PlanePick and PlaneOnOff */
	NULL	/* next Image structure */
};

struct Gadget LogY = {
	&LogLog,	/* next gadget */
	457,29,	/* origin XY of hit box relative to window TopLeft */
	17,17,	/* hit box width and height */
	GADGHIMAGE+GADGIMAGE,	/* gadget flags */
	RELVERIFY+TOGGLESELECT,	/* activation flags */
	BOOLGADGET,	/* gadget type flags */
	(APTR)&Image15,	/* gadget border or image to be rendered */
	(APTR)&Image16,	/* alternate imagery for selection */
	NULL,	/* first IntuiText structure */
	0,	/* gadget mutual-exclude long word */
	NULL,	/* SpecialInfo structure */
	NULL,	/* user-definable data */
	NULL	/* pointer to user-definable data */
};

USHORT ImageData17[] = {
	0xFFFF,0xFFFF,0x808A,0xFFFF,0x808A,0xFFFF,0x808A,0xFFFF,
	0xFFFF,0xFFFF,0x808A,0xFFFF,0x808A,0xFFFF,0x808A,0xFFFF,
	0xFFFF,0xFFFF,0x808A,0xFFFF,0x808A,0xFFFF,0x808A,0xFFFF,
	0xFFFF,0xFFFF,0x808A,0xFFFF,0x808A,0xFFFF,0x808A,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0x8000,0x808A,0x8000,0x808A,0x8000,
	0x808A,0x8000,0xFFFF,0x8000,0x808A,0x8000,0x808A,0x8000,
	0x808A,0x8000,0xFFFF,0x8000,0x808A,0x8000,0x808A,0x8000,
	0x808A,0x8000,0xFFFF,0x8000,0x808A,0x8000,0x808A,0x8000,
	0x808A,0x8000,0xFFFF,0x8000
};

struct Image Image17 = {
	0,0,	/* XY origin relative to container TopLeft */
	17,17,	/* Image width and height in pixels */
	2,	/* number of bitplanes in Image */
	ImageData17,	/* pointer to ImageData */
	0x0003,0x0000,	/* PlanePick and PlaneOnOff */
	NULL	/* next Image structure */
};

USHORT ImageData18[] = {
	0xFFFF,0xFFFF,0x808A,0xFFFF,0x808A,0xFFFF,0x808A,0xFFFF,
	0xFFFF,0xFFFF,0x808A,0xFFFF,0x808A,0xFFFF,0x808A,0xFFFF,
	0xFFFF,0xFFFF,0x808A,0xFFFF,0x808A,0xFFFF,0x808A,0xFFFF,
	0xFFFF,0xFFFF,0x808A,0xFFFF,0x808A,0xFFFF,0x808A,0xFFFF,
	0xFFFF,0xFFFF
};

struct Image Image18 = {
	0,0,	/* XY origin relative to container TopLeft */
	17,17,	/* Image width and height in pixels */
	2,	/* number of bitplanes in Image */
	ImageData18,	/* pointer to ImageData */
	0x0001,0x0000,	/* PlanePick and PlaneOnOff */
	NULL	/* next Image structure */
};

struct Gadget LogX = {
	&LogY,	/* next gadget */
	427,29,	/* origin XY of hit box relative to window TopLeft */
	17,17,	/* hit box width and height */
	GADGHIMAGE+GADGIMAGE,	/* gadget flags */
	RELVERIFY+TOGGLESELECT,	/* activation flags */
	BOOLGADGET,	/* gadget type flags */
	(APTR)&Image17,	/* gadget border or image to be rendered */
	(APTR)&Image18,	/* alternate imagery for selection */
	NULL,	/* first IntuiText structure */
	0,	/* gadget mutual-exclude long word */
	NULL,	/* SpecialInfo structure */
	NULL,	/* user-definable data */
	NULL	/* pointer to user-definable data */
};

USHORT ImageData19[] = {
	0xFFFF,0xFFFF,0x8888,0xFFFF,0x8888,0xFFFF,0x8888,0xFFFF,
	0xFFFF,0xFFFF,0x8888,0xFFFF,0x8888,0xFFFF,0x8888,0xFFFF,
	0xFFFF,0xFFFF,0x8888,0xFFFF,0x8888,0xFFFF,0x8888,0xFFFF,
	0xFFFF,0xFFFF,0x8888,0xFFFF,0x8888,0xFFFF,0x8888,0xFFFF,
	0xFFFF,0xFFFF,0xFFFF,0x8000,0x8888,0x8000,0x8888,0x8000,
	0x8888,0x8000,0xFFFF,0x8000,0x8888,0x8000,0x8888,0x8000,
	0x8888,0x8000,0xFFFF,0x8000,0x8888,0x8000,0x8888,0x8000,
	0x8888,0x8000,0xFFFF,0x8000,0x8888,0x8000,0x8888,0x8000,
	0x8888,0x8000,0xFFFF,0x8000
};

struct Image Image19 = {
	0,0,	/* XY origin relative to container TopLeft */
	17,17,	/* Image width and height in pixels */
	2,	/* number of bitplanes in Image */
	ImageData19,	/* pointer to ImageData */
	0x0003,0x0000,	/* PlanePick and PlaneOnOff */
	NULL	/* next Image structure */
};

USHORT ImageData20[] = {
	0xFFFF,0xFFFF,0x8888,0xFFFF,0x8888,0xFFFF,0x8888,0xFFFF,
	0xFFFF,0xFFFF,0x8888,0xFFFF,0x8888,0xFFFF,0x8888,0xFFFF,
	0xFFFF,0xFFFF,0x8888,0xFFFF,0x8888,0xFFFF,0x8888,0xFFFF,
	0xFFFF,0xFFFF,0x8888,0xFFFF,0x8888,0xFFFF,0x8888,0xFFFF,
	0xFFFF,0xFFFF
};

struct Image Image20 = {
	0,0,	/* XY origin relative to container TopLeft */
	17,17,	/* Image width and height in pixels */
	2,	/* number of bitplanes in Image */
	ImageData20,	/* pointer to ImageData */
	0x0001,0x0000,	/* PlanePick and PlaneOnOff */
	NULL	/* next Image structure */
};

struct Gadget Linear = {
	&LogX,	/* next gadget */
	397,29,	/* origin XY of hit box relative to window TopLeft */
	17,17,	/* hit box width and height */
	GADGHIMAGE+GADGIMAGE,	/* gadget flags */
	RELVERIFY+TOGGLESELECT,	/* activation flags */
	BOOLGADGET,	/* gadget type flags */
	(APTR)&Image19,	/* gadget border or image to be rendered */
	(APTR)&Image20,	/* alternate imagery for selection */
	NULL,	/* first IntuiText structure */
	0,	/* gadget mutual-exclude long word */
	NULL,	/* SpecialInfo structure */
	NULL,	/* user-definable data */
	NULL	/* pointer to user-definable data */
};

SHORT BorderVectors7[] = {
	0,0,
	49,0,
	49,20,
	0,20,
	0,0
};
struct Border Border7 = {
	-1,-1,	/* XY origin relative to container TopLeft */
	1,0,JAM2,	/* front pen, back pen and drawmode */
	5,	/* number of XY vectors */
	BorderVectors7,	/* pointer to XY vectors */
	NULL	/* next border in list */
};

struct IntuiText IText7 = {
	1,0,JAM2,	/* front and back text pens, drawmode and fill byte */
	5,6,	/* XY origin relative to container TopLeft */
	&TOPAZ80,	/* font pointer or NULL for default */
	(UBYTE *)"PRINT",	/* pointer to text */
	NULL	/* next IntuiText structure */
};

struct Gadget go = {
	&Linear,	/* next gadget */
	289,84,	/* origin XY of hit box relative to window TopLeft */
	48,19,	/* hit box width and height */
	NULL,	/* gadget flags */
	RELVERIFY,	/* activation flags */
	BOOLGADGET,	/* gadget type flags */
	(APTR)&Border7,	/* gadget border or image to be rendered */
	NULL,	/* alternate imagery for selection */
	&IText7,	/* first IntuiText structure */
	0,	/* gadget mutual-exclude long word */
	NULL,	/* SpecialInfo structure */
	NULL,	/* user-definable data */
	NULL	/* pointer to user-definable data */
};

UBYTE y_sizeSIBuff[15] =
	"1.1";
struct StringInfo y_sizeSInfo = {
	y_sizeSIBuff,	/* buffer where text will be edited */
	UNDOBUFFER,	/* optional undo buffer */
	0,	/* character position in buffer */
	15,	/* maximum number of characters to allow */
	0,	/* first displayed character buffer position */
	0,0,0,0,0,	/* Intuition initialized and maintained variables */
	0,	/* Rastport of gadget */
	0,	/* initial value for integer gadgets */
	NULL	/* alternate keymap (fill in if you set the flag) */
};

SHORT BorderVectors8[] = {
	0,0,
	41,0,
	41,9,
	0,9,
	0,0
};
struct Border Border8 = {
	-1,-1,	/* XY origin relative to container TopLeft */
	3,0,JAM1,	/* front pen, back pen and drawmode */
	5,	/* number of XY vectors */
	BorderVectors8,	/* pointer to XY vectors */
	NULL	/* next border in list */
};

struct IntuiText IText8 = {
	1,0,JAM2,	/* front and back text pens, drawmode and fill byte */
	14,-11,	/* XY origin relative to container TopLeft */
	&TOPAZ80,	/* font pointer or NULL for default */
	(UBYTE *)"Y",	/* pointer to text */
	NULL	/* next IntuiText structure */
};

struct Gadget y_size = {
	&go,	/* next gadget */
	81,73,	/* origin XY of hit box relative to window TopLeft */
	40,8,	/* hit box width and height */
	GADGHBOX+GADGHIMAGE,	/* gadget flags */
	RELVERIFY+STRINGRIGHT,	/* activation flags */
	STRGADGET,	/* gadget type flags */
	(APTR)&Border8,	/* gadget border or image to be rendered */
	NULL,	/* alternate imagery for selection */
	&IText8,	/* first IntuiText structure */
	0,	/* gadget mutual-exclude long word */
	(APTR)&y_sizeSInfo,	/* SpecialInfo structure */
	NULL,	/* user-definable data */
	NULL	/* pointer to user-definable data */
};

UBYTE Major_ThicknessSIBuff[15] =
	"4";
struct StringInfo Major_ThicknessSInfo = {
	Major_ThicknessSIBuff,	/* buffer where text will be edited */
	UNDOBUFFER,	/* optional undo buffer */
	0,	/* character position in buffer */
	15,	/* maximum number of characters to allow */
	0,	/* first displayed character buffer position */
	0,0,0,0,0,	/* Intuition initialized and maintained variables */
	0,	/* Rastport of gadget */
	0,	/* initial value for integer gadgets */
	NULL	/* alternate keymap (fill in if you set the flag) */
};

SHORT BorderVectors9[] = {
	0,0,
	41,0,
	41,9,
	0,9,
	0,0
};
struct Border Border9 = {
	-1,-1,	/* XY origin relative to container TopLeft */
	3,0,JAM1,	/* front pen, back pen and drawmode */
	5,	/* number of XY vectors */
	BorderVectors9,	/* pointer to XY vectors */
	NULL	/* next border in list */
};

struct IntuiText IText9 = {
	1,0,JAM2,	/* front and back text pens, drawmode and fill byte */
	-141,0,	/* XY origin relative to container TopLeft */
	&TOPAZ80,	/* font pointer or NULL for default */
	(UBYTE *)"Thickness, pixels",	/* pointer to text */
	NULL	/* next IntuiText structure */
};

struct Gadget Major_Thickness = {
	&y_size,	/* next gadget */
	188,188,	/* origin XY of hit box relative to window TopLeft */
	40,8,	/* hit box width and height */
	GADGHBOX+GADGHIMAGE,	/* gadget flags */
	STRINGRIGHT+LONGINT,	/* activation flags */
	STRGADGET,	/* gadget type flags */
	(APTR)&Border9,	/* gadget border or image to be rendered */
	NULL,	/* alternate imagery for selection */
	&IText9,	/* first IntuiText structure */
	0,	/* gadget mutual-exclude long word */
	(APTR)&Major_ThicknessSInfo,	/* SpecialInfo structure */
	NULL,	/* user-definable data */
	NULL	/* pointer to user-definable data */
};

UBYTE Minor_ThicknessSIBuff[15] =
	"1";
struct StringInfo Minor_ThicknessSInfo = {
	Minor_ThicknessSIBuff,	/* buffer where text will be edited */
	UNDOBUFFER,	/* optional undo buffer */
	0,	/* character position in buffer */
	15,	/* maximum number of characters to allow */
	0,	/* first displayed character buffer position */
	0,0,0,0,0,	/* Intuition initialized and maintained variables */
	0,	/* Rastport of gadget */
	0,	/* initial value for integer gadgets */
	NULL	/* alternate keymap (fill in if you set the flag) */
};

SHORT BorderVectors10[] = {
	0,0,
	41,0,
	41,9,
	0,9,
	0,0
};
struct Border Border10 = {
	-1,-1,	/* XY origin relative to container TopLeft */
	3,0,JAM1,	/* front pen, back pen and drawmode */
	5,	/* number of XY vectors */
	BorderVectors10,	/* pointer to XY vectors */
	NULL	/* next border in list */
};

struct IntuiText IText10 = {
	1,0,JAM2,	/* front and back text pens, drawmode and fill byte */
	-142,0,	/* XY origin relative to container TopLeft */
	&TOPAZ80,	/* font pointer or NULL for default */
	(UBYTE *)"Thickness, pixels",	/* pointer to text */
	NULL	/* next IntuiText structure */
};

struct Gadget Minor_Thickness = {
	&Major_Thickness,	/* next gadget */
	485,188,	/* origin XY of hit box relative to window TopLeft */
	40,8,	/* hit box width and height */
	GADGHBOX+GADGHIMAGE,	/* gadget flags */
	STRINGRIGHT+LONGINT,	/* activation flags */
	STRGADGET,	/* gadget type flags */
	(APTR)&Border10,	/* gadget border or image to be rendered */
	NULL,	/* alternate imagery for selection */
	&IText10,	/* first IntuiText structure */
	0,	/* gadget mutual-exclude long word */
	(APTR)&Minor_ThicknessSInfo,	/* SpecialInfo structure */
	NULL,	/* user-definable data */
	NULL	/* pointer to user-definable data */
};

UBYTE x_dpiSIBuff[15] =
	"300";
struct StringInfo x_dpiSInfo = {
	x_dpiSIBuff,	/* buffer where text will be edited */
	UNDOBUFFER,	/* optional undo buffer */
	0,	/* character position in buffer */
	15,	/* maximum number of characters to allow */
	0,	/* first displayed character buffer position */
	0,0,0,0,0,	/* Intuition initialized and maintained variables */
	0,	/* Rastport of gadget */
	0,	/* initial value for integer gadgets */
	NULL	/* alternate keymap (fill in if you set the flag) */
};

SHORT BorderVectors11[] = {
	0,0,
	41,0,
	41,9,
	0,9,
	0,0
};
struct Border Border11 = {
	-1,-1,	/* XY origin relative to container TopLeft */
	3,0,JAM1,	/* front pen, back pen and drawmode */
	5,	/* number of XY vectors */
	BorderVectors11,	/* pointer to XY vectors */
	NULL	/* next border in list */
};

struct IntuiText IText11 = {
	1,0,JAM2,	/* front and back text pens, drawmode and fill byte */
	-18,0,	/* XY origin relative to container TopLeft */
	&TOPAZ80,	/* font pointer or NULL for default */
	(UBYTE *)"X:",	/* pointer to text */
	NULL	/* next IntuiText structure */
};

struct Gadget x_dpi = {
	&Minor_Thickness,	/* next gadget */
	293,160,	/* origin XY of hit box relative to window TopLeft */
	40,8,	/* hit box width and height */
	GADGHBOX+GADGHIMAGE,	/* gadget flags */
	STRINGRIGHT+LONGINT,	/* activation flags */
	STRGADGET,	/* gadget type flags */
	(APTR)&Border11,	/* gadget border or image to be rendered */
	NULL,	/* alternate imagery for selection */
	&IText11,	/* first IntuiText structure */
	0,	/* gadget mutual-exclude long word */
	(APTR)&x_dpiSInfo,	/* SpecialInfo structure */
	NULL,	/* user-definable data */
	NULL	/* pointer to user-definable data */
};

#define GadgetList1 x_dpi

struct IntuiText IText12 = {
	3,1,COMPLEMENT,	/* front and back text pens, drawmode and fill byte */
	0,0,	/* XY origin relative to container TopLeft */
	NULL,	/* font pointer or NULL for default */
	(UBYTE *)"Quit",	/* pointer to text */
	NULL	/* next IntuiText structure */
};

struct MenuItem MenuItem4 = {
	NULL,	/* next MenuItem structure */
	0,24,	/* XY of Item hitbox relative to TopLeft of parent hitbox */
	144,8,	/* hit box width and height */
	ITEMTEXT+COMMSEQ+ITEMENABLED+HIGHCOMP,	/* Item flags */
	0,	/* each bit mutually-excludes a same-level Item */
	(APTR)&IText12,	/* Item render  (IntuiText or Image or NULL) */
	NULL,	/* Select render */
	'Q',	/* alternate command-key */
	NULL,	/* SubItem list */
	MENUNULL	/* filled in by Intuition for drag selections */
};

struct IntuiText IText13 = {
	3,1,COMPLEMENT,	/* front and back text pens, drawmode and fill byte */
	0,0,	/* XY origin relative to container TopLeft */
	NULL,	/* font pointer or NULL for default */
	(UBYTE *)"",	/* pointer to text */
	NULL	/* next IntuiText structure */
};

struct MenuItem MenuItem3 = {
	&MenuItem4,	/* next MenuItem structure */
	0,16,	/* XY of Item hitbox relative to TopLeft of parent hitbox */
	144,8,	/* hit box width and height */
	ITEMTEXT+HIGHCOMP+HIGHBOX,	/* Item flags */
	0,	/* each bit mutually-excludes a same-level Item */
	(APTR)&IText13,	/* Item render  (IntuiText or Image or NULL) */
	NULL,	/* Select render */
	0,	/* alternate command-key */
	NULL,	/* SubItem list */
	MENUNULL	/* filled in by Intuition for drag selections */
};

struct IntuiText IText14 = {
	3,1,COMPLEMENT,	/* front and back text pens, drawmode and fill byte */
	0,0,	/* XY origin relative to container TopLeft */
	NULL,	/* font pointer or NULL for default */
	(UBYTE *)"Save Settings",	/* pointer to text */
	NULL	/* next IntuiText structure */
};

struct MenuItem MenuItem2 = {
	&MenuItem3,	/* next MenuItem structure */
	0,8,	/* XY of Item hitbox relative to TopLeft of parent hitbox */
	144,8,	/* hit box width and height */
	ITEMTEXT+COMMSEQ+ITEMENABLED+HIGHCOMP,	/* Item flags */
	0,	/* each bit mutually-excludes a same-level Item */
	(APTR)&IText14,	/* Item render  (IntuiText or Image or NULL) */
	NULL,	/* Select render */
	'S',	/* alternate command-key */
	NULL,	/* SubItem list */
	MENUNULL	/* filled in by Intuition for drag selections */
};

struct IntuiText IText15 = {
	3,1,COMPLEMENT,	/* front and back text pens, drawmode and fill byte */
	0,0,	/* XY origin relative to container TopLeft */
	NULL,	/* font pointer or NULL for default */
	(UBYTE *)"Load Settings",	/* pointer to text */
	NULL	/* next IntuiText structure */
};

struct MenuItem MenuItem1 = {
	&MenuItem2,	/* next MenuItem structure */
	0,0,	/* XY of Item hitbox relative to TopLeft of parent hitbox */
	144,8,	/* hit box width and height */
	ITEMTEXT+COMMSEQ+ITEMENABLED+HIGHCOMP,	/* Item flags */
	0,	/* each bit mutually-excludes a same-level Item */
	(APTR)&IText15,	/* Item render  (IntuiText or Image or NULL) */
	NULL,	/* Select render */
	'L',	/* alternate command-key */
	NULL,	/* SubItem list */
	MENUNULL	/* filled in by Intuition for drag selections */
};

struct Menu Menu1 = {
	NULL,	/* next Menu structure */
	0,0,	/* XY origin of Menu hit box relative to screen TopLeft */
	63,0,	/* Menu hit box width and height */
	MENUENABLED,	/* Menu flags */
	"Project",	/* text of Menu name */
	&MenuItem1	/* MenuItem linked list pointer */
};

#define MenuList1 Menu1

struct IntuiText IText21 = {
	1,0,JAM2,	/* front and back text pens, drawmode and fill byte */
	266,149,	/* XY origin relative to container TopLeft */
	&TOPAZ80,	/* font pointer or NULL for default */
	(UBYTE *)"Printer DPI",	/* pointer to text */
	NULL	/* next IntuiText structure */
};

struct IntuiText IText20 = {
	1,0,JAM2,	/* front and back text pens, drawmode and fill byte */
	355,50,	/* XY origin relative to container TopLeft */
	&TOPAZ80,	/* font pointer or NULL for default */
	(UBYTE *)"Grids per Major Grid",	/* pointer to text */
	&IText21	/* next IntuiText structure */
};

struct IntuiText IText19 = {
	1,0,JAM2,	/* front and back text pens, drawmode and fill byte */
	165,50,	/* XY origin relative to container TopLeft */
	&TOPAZ80,	/* font pointer or NULL for default */
	(UBYTE *)"Grids/page",	/* pointer to text */
	&IText20	/* next IntuiText structure */
};

struct IntuiText IText18 = {
	1,0,JAM2,	/* front and back text pens, drawmode and fill byte */
	28,50,	/* XY origin relative to container TopLeft */
	&TOPAZ80,	/* font pointer or NULL for default */
	(UBYTE *)"Size(inches)",	/* pointer to text */
	&IText19	/* next IntuiText structure */
};

struct TextAttr TOPAZ60 = {
	(STRPTR)"topaz.font",
	TOPAZ_SIXTY,0,0
};
struct IntuiText IText17 = {
	1,0,JAM2,	/* front and back text pens, drawmode and fill byte */
	388,15,	/* XY origin relative to container TopLeft */
	&TOPAZ60,	/* font pointer or NULL for default */
	(UBYTE *)"MINOR GRID",	/* pointer to text */
	&IText18	/* next IntuiText structure */
};

struct IntuiText IText16 = {
	1,0,JAM2,	/* front and back text pens, drawmode and fill byte */
	82,15,	/* XY origin relative to container TopLeft */
	&TOPAZ60,	/* font pointer or NULL for default */
	(UBYTE *)"MAJOR GRID",	/* pointer to text */
	&IText17	/* next IntuiText structure */
};

#define IntuiTextList1 IText16

struct NewWindow NewWindowStructure1 = {
	0,0,	/* window XY origin relative to TopLeft of screen */
	558,200,	/* window width and height */
	0,1,	/* detail and block pens */
	GADGETDOWN+GADGETUP+MENUPICK+CLOSEWINDOW,	/* IDCMP flags */
	WINDOWDRAG+WINDOWDEPTH+WINDOWCLOSE+REPORTMOUSE+ACTIVATE+NOCAREREFRESH,	/* other window flags */
	&x_dpi,	/* first gadget in gadget list */
	NULL,	/* custom CHECKMARK imagery */
	(UBYTE *)"GraphPaper v?",	/* window title */
	NULL,	/* custom screen pointer */
	NULL,	/* custom bitmap */
	100,50,	/* minimum width and height */
	-1,-1,	/* maximum width and height */
	WBENCHSCREEN	/* destination screen type */
};


void HandleEvent(object)
APTR object;
{
  if (object == (APTR)&MenuItem1) { Project_Load(object); return; }
  if (object == (APTR)&MenuItem2) { Project_Save(object); return; }
  if (object == (APTR)&MenuItem4) { Project_Quit(object); return; }
  if (object == (APTR)&y_size) { y_size_func(object); return; }
  if (object == (APTR)&go) { go_func(object); return; }
  if (object == (APTR)&Linear) { MG_Linear(object); return; }
  if (object == (APTR)&LogX) { MG_LogX(object); return; }
  if (object == (APTR)&LogY) { MG_LogY(object); return; }
  if (object == (APTR)&LogLog) { MG_LogLog(object); return; }
  if (object == (APTR)&size_slider_middle) { size_slider_middle_func(object); return; }
  if (object == (APTR)&size_slider_right) { size_slider_right_func(object); return; }
  if (object == (APTR)&size_slider_left) { size_slider_left_func(object); return; }
  if (object == (APTR)&x_size) { x_size_func(object); return; }
  if (object == (APTR)&grids_slider_right) { grids_slider_right_func(object); return; }
  if (object == (APTR)&grids_slider_middle) { grids_slider_middle_func(object); return; }
  if (object == (APTR)&grids_slider_left) { grids_slider_left_func(object); return; }
  if (object == (APTR)&y_grids_page) { y_grids_func(object); return; }
  if (object == (APTR)&x_grids_page) { x_grids_func(object); return; }
  if (object == (APTR)&minor_slider_left) { minor_slider_left_func(object); return; }
  if (object == (APTR)&minor_slider_middle) { minor_slider_middle_func(object); return; }
  if (object == (APTR)&minor_slider_right) { minor_slider_right_func(object); return; }
  if (object == (APTR)&minor_y) { minor_y_func(object); return; }
  if (object == (APTR)&minor_x) { minor_x_func(object); return; }
  if (object == (APTR)&check) { check_func(object); return; }
  if (object == (APTR)&None) { MG_None(object); return; }
}
#define HANDLEEVENT HandleEvent

/* end of PowerWindows source generation */
